## genres-0.8.7.tar.bz2

=== Makefile ===
# $Log: Makefile,v $
# Revision 1.6  2006/03/19 20:14:31  khlut
# Release number substitution automated
#
# Revision 1.5  2006/02/26 10:25:29  khlut
# mime-type application/x-elphel-ogm added
#
# Revision 1.4  2006/02/26 09:42:26  khlut
# added -fPIC flag for relocatable code, which need for some architectures
#
# Revision 1.3  2005/11/08 21:29:54  khlut
# issues with make of debian package fixed
#
# Revision 1.2  2005/11/04 19:31:40  khlut
# mozilla-conf path autodetection
#
# Revision 1.1.1.1  2005/11/04 09:07:01  khlut
# Release 0.7
# First CVS submition
# Many bugs were fixed
# All source files edited to conform to GPL (copyright and license notices were added)
# GenReS was moved to savannah.nongnu.org
#
RELEASE=$(shell awk -F '[()]' '/\(.*\)/ { print $$2; exit; }' <debian/changelog)
PATH:=${PATH}:/usr/local/mozilla/bin:/usr/lib/mozilla/bin:/opt/mozilla/bin
CFLAGS= -Wall -Os -DXP_UNIX -DMOZ_X11 -DXTHREADS ` mozilla-config --cflags xpcom` -fPIC -DRELEASE="\"${RELEASE}\""
OBJ=main_thread.o observer_thread.o threadqueue.o slavesdir.o storage.o
INSTALL=install -Dp -g root -o root
LIBPREFIX=$(DESTDIR)/usr/lib
ifdef DESTDIR
MOZILLAD=$(LIBPREFIX)/mozilla
FIREFOXD=$(LIBPREFIX)/mozilla-firefox
LNMF=ln -sf ../../mozilla/plugins/genres.so $(FIREFOXD)/plugins/genres.so
else
MOZILLAD=$(shell mozilla --help | head -1 | sed -e 's/[^ ]\+ //' -e 's|/[^/ ]\+ .*||')
FIREFOXD=$(shell firefox --help | head -1 | sed -e 's/[^ ]\+ //' -e 's|/[^/ ]\+ .*||')
LNMF=ln -sf $(MOZILLAD)/plugins/genres.so $(FIREFOXD)/plugins/genres.so
endif

CXXFLAGS=${CFLAGS}

all: genres.so

genres.so : $(OBJ)
	$(CC) -shared -o $@ $^ $(CFLAGS)

local-install: genres.so
	mkdir -p ~/.mozilla/plugins/
	mkdir -p ~/.mozilla/genres/slaves/video
	mkdir -p ~/.mozilla/genres/slaves/application
	cp -dpf genres.so ~/.mozilla/plugins/
	cp -dpf config.pl ~/.mozilla/genres/
	cp -dpf slaves/video/mplayer.pl ~/.mozilla/genres/
	ln -sf ../../mplayer.pl ~/.mozilla/genres/slaves/video/mpeg
	ln -sf ../../mplayer.pl ~/.mozilla/genres/slaves/video/mjpeg
	ln -sf ../../mplayer.pl ~/.mozilla/genres/slaves/application/x-elphel-ogm

install: genres.so
	test -z "$(MOZILLAD)" || $(INSTALL) genres.so $(MOZILLAD)/plugins/genres.so
	test -z "$(FIREFOXD)" || $(INSTALL) -d $(FIREFOXD)/plugins
	test -z "$(FIREFOXD)" -o -z "$(MOZILLAD)" || $(LNMF)
	test -z "$(FIREFOXD)" -o ! -z "$(MOZILLAD)"|| $(INSTALL) genres.so $(FIREFOXD)/plugins/genres.so
	$(INSTALL) config.pl $(LIBPREFIX)/genres/config.pl
	$(INSTALL) slaves/video/mplayer.pl $(LIBPREFIX)/genres/mplayer.pl
	$(INSTALL) -d $(LIBPREFIX)/genres/slaves/video
	$(INSTALL) -d $(LIBPREFIX)/genres/slaves/application
	ln -sf ../../mplayer.pl $(LIBPREFIX)/genres/slaves/video/mpeg
	ln -sf ../../mplayer.pl $(LIBPREFIX)/genres/slaves/video/mjpeg
	ln -sf ../../mplayer.pl $(LIBPREFIX)/genres/slaves/application/x-elphel-ogm

clean:
	rm -f *.o genres.so

=== debian/changelog ===
genres (0.8.7) unstable; urgency=low

  * debug output cleanup
  * dependency cleanup
  * Release number substitution automated
  * ElphelOgm 0.9.5 interactive mode supported

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 19 Mar 2006 23:18:20 +0400

genres (0.8.6) unstable; urgency=low

  * Mime type application/x-elphel-ogm is added for rtp receiving with ElphelOgm.
  * Some checks added in queue code.

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Wed, 15 Mar 2006 23:21:15 +0400

genres (0.8.5) unstable; urgency=low

  * New control commands: filepos & framestep
  * Some checks and flags in compilation

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 26 Feb 2006 13:45:06 +0400

genres (0.8.4) unstable; urgency=low

  * Support for frame skiping with ElphelOgm only for rtp url
  * Added run=0 message when user cancel file selection for recording

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Tue, 21 Feb 2006 20:12:53 +0400

genres (0.8.3) unstable; urgency=low

  * Support for FireFox 1.5x
  * Support for javascript objects created with document.createElement('object')
    (it is not supported by firefox 1.0.7 or older).
  * Add control for debug output

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Mon, 13 Feb 2006 20:18:36 +0400

genres (0.8.2) unstable; urgency=low

  * A bug with lossing of property values when slave is restarted is fixed again :-)
  * Support for multicast rtp/mjpeg view&record with use of ElphelOgm tool
    (dynamic src changing is not yet supported for rtp, use run=0; src=... ; run=1;)
  * autocange suffixes ogm<->avi

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Tue, 07 Feb 2006 16:42:52 +0400

genres (0.8.1) unstable; urgency=low

  * A bug with usage of closed thread is fixed
  * A bug with lossing of property values when slave is restarted is fixed
  * Support for multicast rtp/mjpeg is beginned with use of ElphelOgm tool

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sat, 04 Feb 2006 01:19:58 +0400

genres (0.8.0) unstable; urgency=low

  * Name of the JS variable with message about current frame is unified to "frame"
  * recognition for message from mplayer about playing url
  * support for change of src or href parameter without mplayer process restarting
  * support for sequences of run=0;run=1 which can be used to restart player

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Thu, 02 Feb 2006 03:19:02 +0400

genres (0.7.3) unstable; urgency=high

  * Security fix (shell command injection)

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 04 Dec 2005 11:26:49 +0400

genres (0.7.2) unstable; urgency=low

  * Minor bug fix Release.
    - watchdog for mplayer now works in linux 2.4 and 2.6 (mplayer.pl)
 

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Fri, 11 Nov 2005 13:46:44 +0400

genres (0.7.1) unstable; urgency=low

  * Minor bug fix Release.
    - changed link to project page
    - a bug in the watchdog was fixed
    - mozilla-conf path autodetection bug was fixed
 

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Wed, 09 Nov 2005 00:37:19 +0400

genres (0.7) unstable; urgency=low

  * First Debian Release.
  * Bug fixes:
    - make dir for config file
    - with save=auto parameter
    - buffer overflow possibility
    - simbols with high bit in variable names are filtered
    - not tell "quit" to mencoder
    - get window width from gdk when it setted in percents (mplayer bug workaround)
  * Make:
    - correct install and local-install
    - get path for mozilla include files from mozilla-config
 

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Thu,  3 Nov 2005 20:42:41 +0400

genres (0.6) unstable; urgency=low

  * New tag parameter "save" for recording with mencoder.
  * Configuration file "~./mozilla/genres/mplayer.conf"
  * Gtk2 is used for the dialog requesting the location to save files.
  * Files are saved using template for file names.
 

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 23 Oct 2005 16:49:43 +0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: genres
Section: unknown
Priority: optional
Maintainer: Sergey Khlutchin <Sergey dot Khlutchin at gmail com>
Build-Depends: debhelper (>= 4.0.0), mozilla-dev (>=1.7.5)
Standards-Version: 3.6.1

Package: genres
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libgtk2-perl, mozilla-browser(>=1.7.5) | mozilla-firefox(>=1.0), mplayer
Description: Generic reconfigurable scriptable plugin for Mozilla/Firefox
 GenReS is a generic reconfigurable scriptable plugin for Mozilla/Firefox.
 It allows to use external programs for EMBED or OBJECT HTML tags.
 The plugin is supplied with a Perl script for embedding mplayer and mencoder
 in a browser and controlling it with Javascript. It allows to watch video and
 to record it to set of files. Manipulations with object variables in JavaScript
 are translated to a Perl program. Status messages from the controlled program
 (mplayer or mencoder) are translated back to Javascript object variables,
 and Javascript functions are called for notifications.
